Package com.verisign.epp.serverstub

## Class EPPTestGenHandler

- java.lang.Object
- - com.verisign.epp.serverstub.EPPTestGenHandler

- All Implemented Interfaces:
    `EPPEventHandler`

      public class EPPTestGenHandler
      extends java.lang.Object
      implements EPPEventHandler

  The `EPPTestGenHandler` class provides an test handler that loads `EPPTestGenMapFactory` for testing the EPP General (gen) package. The handler only needs to load the `EPPTestGenMapFatory` so that the EPP Greeting will include at least one URI in the Object Services.
  See Also:
    `EPPEventHandler`, `EPPEvent`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPTestGenHandler()` | Whenever an EPPTestGenHandler instance is created load the corresponsding Map Factory into the Codec

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getNamespace()` | Returns the Namespace that this handler supports.
    `EPPEventResponse` | `handleEvent​(EPPEvent aEvent, java.lang.Object aData)` | This method receives an `EPPEvent` and routes it to the appropriate abstract method.
    `protected void` | `postHandleEvent​(EPPEvent aEvent, java.lang.Object aData)` | Handles any common behavior that all test commands need to execute after they execute their command specific behavior.
    `protected void` | `preHandleEvent​(EPPEvent aEvent, java.lang.Object aData)` | Handles any common behavior that all test commands need to execute before they execute their command specific behavior.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPTestGenHandler

          public EPPTestGenHandler()

      Whenever an EPPTestGenHandler instance is created load the corresponsding Map Factory into the Codec

  - ### Method Detail

    - #### getNamespace

          public final java.lang.String getNamespace()

      Returns the Namespace that this handler supports. In this case, test.
      Specified by:
        `getNamespace` in interface `EPPEventHandler`
      Returns:
        String The Namespace that this handler supports

    - #### handleEvent

          public final EPPEventResponse handleEvent​(EPPEvent aEvent,
                                                    java.lang.Object aData)
                                             throws EPPEventException

      This method receives an `EPPEvent` and routes it to the appropriate abstract method.
      Specified by:
        `handleEvent` in interface `EPPEventHandler`
      Parameters:
        `aEvent` - An `EPPEvent` that contains the `EPPCommand`
        `aData` - Any data that a Server needs to send to this `EPPContactHandler` instance
      Returns:
        Event response
      Throws:
        `EPPEventException` - Thrown if an unrecognized `EPPEvent` is received

    - #### preHandleEvent

          protected void preHandleEvent​(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Handles any common behavior that all test commands need to execute before they execute their command specific behavior. The default implementation does nothing.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPTestGenHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### postHandleEvent

          protected void postHandleEvent​(EPPEvent aEvent,
                                         java.lang.Object aData)
                                  throws EPPHandleEventException

      Handles any common behavior that all test commands need to execute after they execute their command specific behavior. The default implementation does nothing
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPTestGenHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`